Subject: bug#24901: Caught mistake in elec-pair.el patch

From: Noam Postavsky <[email-masked]>
Date: Thu, 17 Aug 2017 10:05:49 -0400

On Thu, Aug 17, 2017 at 9:32 AM, João Távora <[email-masked]> wrote:
> On Thu, Aug 17, 2017 at 1:35 PM, <[email-masked]> wrote:
>
>> Or remove the autoload from electric-pair-text-pairs?
>
> Seems to be there for a reason, unfortunately. It's forward
> referenced in electric.el if I'm not mistaken.

The reference in electric.el is inside (and electric-pair-mode ...)
which is already autoloaded so it should be fine. There is another
reference in elisp-mode.el, for which, AFAICT, we can just use
explicit require instead (see my patch in
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=24901#53; sorry I didn't
mention it before, I forgot some mail clients don't show attachments
clearly).